<?php

/**
* Gavick Image Slide - Template style
* @package Joomla!
* @Copyright (C) 2009 Gavick.com
* @ All rights reserved
* @ Joomla! is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.0.0 $
**/

// access restriction
defined('_JEXEC') or die('Restricted access');
// vars
$highest_layer = 0;
// initializing variables
//
$block_width = $this->settings['image_x'] + $this->config['tabsbar_width'] + $this->config['tabsbar_margin'];
$URI = JURI::getInstance();
//

?>

<div class="gk_is_wrapper" id="gk_is-<?php echo $this->ID;?>" style="width:<?php echo $block_width;?>px;">
	<div style="width:<?php echo $this->settings['image_x'];?>px;height: auto;float: <?php echo (($this->config['tabs_position'] == 'left') ? 'right':'left');?>;">
		<div class="gk_is_wrapper2" style="width:<?php echo $this->settings['image_x'];?>px;height:<?php echo $this->settings['image_y'];?>px;float: <?php echo (($this->config['tabs_position'] == 'left') ? 'right':'left');?>;">
				
			<?php $highest_layer = 0; ?>
			
			<?php for($i = 0; $i < count($this->slides); $i++) : ?>
				
				<?php 
				
					// cleaning variables
					unset($path, $title, $link);
					// creating slide path
					$path = $URI->root().'components/com_gk3_photoslide/thumbs_big/'.$this->slides[$i]["filename"];
					// creating slide title
					$title = htmlspecialchars(($this->slides[$i]["ctitle"] == "") ? $this->slides[$i]["title"] : $this->slides[$i]["ctitle"]);
					// creating slide link
					$link = ($this->slides[$i]["link_type"] != 0) ? JRoute::_(ContentHelperRoute::getArticleRoute($this->slides[$i]["article"], $this->slides[$i]["cid"], $this->slides[$i]["sid"])) : $this->slides[$i]["link"];	
					
				?>
				
				
				<?php if($this->config["preloading"] == 'false') : ?>
					<img src="<?php echo $path; ?>" class="gk_is_slide" style="z-index: <?php echo $i+1; ?>;" alt="<?php echo $link; ?>" title="<?php echo $title; ?>" />
				<?php else: ?>
					<div class="gk_is_slide" style="z-index: <?php echo $i+1; ?>;" title="<?php echo $title; ?>"><a href="<?php echo $path; ?>">src</a><a href="<?php echo $link; ?>">link</a></div>
				<?php endif; ?>
				<?php $highest_layer = $i; ?>
			<?php endfor; ?>
		
		<?php $highest_layer += 5; ?>
		
		<?php if($this->config['show_text_block'] == "true") : ?>
		<?php if($this->config['text_block_bgimage'] == "true"): ?>
		<div class="gk_is_text_bg" style="height:<?php echo $this->config['text_block_height']; ?>px;<?php echo ($this->config['text_block_position'] == 'bottom') ? 'bottom:0;': 'top:0;'; ?>"></div>
		<?php else : ?>
		<div class="gk_is_text_bg" style="height:<?php echo $this->config['text_block_height']; ?>px;opacity:<?php echo $this->config['text_block_opacity']; ?>;background-color:<?php echo $this->config['text_block_bgcolor']; ?>;bottom:0;z-index:500;"></div>
		<?php endif; ?>
		<div class="gk_is_text" style="height:<?php echo $this->config['text_block_height']; ?>px;bottom:0;z-index:501;"></div>
		<?php endif; ?>
		<div class="gk_is_text_data">
			<?php for($i = 0; $i < count($this->slides); $i++) : ?>
			
			<?php 
				// cleaning variables
				unset($text, $title, $link, $exploded_text);
				// creating slide text
				$text = ($this->slides[$i]["content"] == "") ? $this->slides[$i]["introtext"] : $this->slides[$i]["content"];
				if($this->config["clean_xhtml"] == "true") $text = strip_tags($text);
				$exploded_text = explode(" ", $text);
				$text = '';
				for($j = 0; $j < $this->config["wordcount"]; $j++)
				{
					if(isset($exploded_text[$j]))
					{
						$text .= $exploded_text[$j]." ";
					}
				}
				// creating slide title
				$title = ($this->slides[$i]["ctitle"] == "") ? $this->slides[$i]["title"] : $this->slides[$i]["ctitle"];
				// creating slide link
				$link = ($this->slides[$i]["link_type"] != 0) ? JRoute::_(ContentHelperRoute::getArticleRoute($this->slides[$i]["article"], $this->slides[$i]["cid"], $this->slides[$i]["sid"])) : $this->slides[$i]["link"];	
			?>
			
			<div class="gk_is_text_item">
				<?php if($this->config["title"] == "true"): ?>
					<?php if($this->config["title_link"] == "true"): ?>
						<h2><span><a href="<?php echo $link; ?>" class="gk_is_news_link"><?php echo $title; ?></a></span></h2>
					<?php else: ?>
						<h2><span><?php echo $title; ?></span></h2>
					<?php endif; ?>
				<?php endif; ?>
				<p>
					<?php echo $text; ?>
				</p>
			</div>
		<?php endfor; ?>
		</div>
		
		</div>
		<?php if($this->config['readmore_button'] == 'true') : ?>
		<div class="gk_is_readmore_wrapper">	
			<div class="gk_is_readmore_button">
				<span><a href="#"><?php echo $this->config['readmore_text']; ?></a></span>
			</div>
		</div>
		<?php endif; ?>
	</div>

	<div style="width:<?php echo $this->config['tabsbar_width']; ?>px;height: auto;margin-<?php echo ($this->config['tabs_position'] == 'left') ? 'right' : 'left'; ?>: <?php echo $this->config['tabsbar_margin']; ?>px;overflow: hidden;float: left;">
		<div class="gk_is_tabsbar_wrap" style="width:<?php echo $this->config['tabsbar_width']; ?>px;height:<?php echo $this->settings['image_y'];?>px;">
	
		<?php if((count($this->slides) * ((($this->settings['image_y'] - ($this->config['tabs_margin']*($this->config['tabs_per_page']-1)))/$this->config['tabs_per_page']) + $this->config['tabs_margin'])) < $this->settings['image_y']) : ?>
			<div class="gk_is_tabsbar" style="width:<?php echo $this->config['tabsbar_width']; ?>px;height: auto; ?>px;">	
					
				<?php for($i = 0;$i < count($this->slides);$i++) : ?>
					<?php 
						$field_title = "";
						$field_text = "";
						($this->slides[$i]["title"] == '') ? $field_title = "ctitle" : $field_title = "title";
						($this->slides[$i]["content"] == '') ? $field_text = "introtext" : $field_text = "content";
					?>
					
					<div class="gk_is_tab" style="margin-bottom: <?php echo $this->config['tabs_margin']; ?>px;height: <?php echo (($this->settings['image_y'] - ($this->config['tabs_margin']*($this->config['tabs_per_page']-1)))/$this->config['tabs_per_page']); ?>px;">
						<img src="<?php echo $URI->root(); ?>components/com_gk3_photoslide/thumbs_small/<?php echo $this->slides[$i]["filename"]; ?>" alt="News Image" />
						<h4><?php echo htmlspecialchars(strip_tags(JString::substr($this->slides[$i][$field_title], 0, $this->config['title_limit']))); ?></h4><br />
						<p><?php echo (substr(strip_tags($this->slides[$i][$field_text]), 0, $this->config['text_limit'])); ?>...</p>
						<div class="gk_is_hover"><div></div></div>
					</div>
				<?php endfor; ?>
			
			</div>
		<?php else : ?>
			<div class="gk_is_tabsbar" style="width:<?php echo $this->config['tabsbar_width']; ?>px;height: auto;">	
				
			<?php for($i = 0;$i < count($this->slides);$i++) : ?>
				<?php
					$field_title = "";
					$field_text = "";
					($this->slides[$i]["title"] == '') ? $field_title = "ctitle" : $field_title = "title";
					($this->slides[$i]["content"] == '') ? $field_text = "introtext" : $field_text = "content";
					$first_margin = ($i == 0) ? 'margin-top: 0px;' : '';
				?>
				
				<div class="gk_is_tab" style="margin-bottom: <?php echo $this->config['tabs_margin']; ?>px;height: <?php echo (($this->settings['image_y'] - ($this->config['tabs_margin']*($this->config['tabs_per_page']-1)))/$this->config['tabs_per_page']); ?>px;">
					<img src="<?php echo $URI->root(); ?>components/com_gk3_photoslide/thumbs_small/<?php echo $this->slides[$i]["filename"]; ?>" alt="News Image" />
					<h4><?php echo htmlspecialchars(strip_tags(JString::substr($this->slides[$i][$field_title], 0, $this->config['title_limit']))); ?></h4>
					<p><?php echo (substr(strip_tags($this->slides[$i][$field_text]), 0, $this->config['text_limit'])); ?>...</p>
					<div class="gk_is_hover"><div style="margin-top: <?php echo ((($this->settings['image_y'] - ($this->config['tabs_margin']*($this->config['tabs_per_page']-1)))/$this->config['tabs_per_page'])-41)/2; ?>px;"></div></div>
				</div>
		
			<?php endfor; ?>
		
			</div>
		<?php endif; ?>
		</div>
		
		<?php if(!((count($this->slides) * ((($this->settings['image_y'] - ($this->config['tabs_margin']*($this->config['tabs_per_page']-1)))/$this->config['tabs_per_page'])) + $this->config['tabs_margin'])) < $this->settings['image_y']) : ?>
		    <div class="gk_is_tabsbar_slider" style="width:<?php echo $this->config['tabsbar_width']; ?>px;">
				<div class="gk_is_tabsbar_up"></div>		
				<div class="gk_is_tabsbar_down"></div>
			</div>
		<?php endif; ?>
	</div>
	
	<?php if($this->config['preloading'] == 'true') : ?>
		<div class="gk_is_preloader" style="z-index: 1000;width:<?php echo $block_width;?>px;height:<?php echo $this->settings['image_y']+24;?>px;"></div>
	<?php endif; ?>
</div>