<?php
	
	/*--------------------------------------------------------------
	# Musictube - February 2009 (for Joomla 1.5)
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com  
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');
	// including base setup file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	// including menu generator file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>
	<jdoc:include type="head" />

	<?php
		// including template header files
		include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
	?>
</head>

<body>
	<div id="wrapper_main">
		<jdoc:include type="message" />
		<?php if($login_button && ($this->countModules('userarea'))) : ?>
		<!-- userarea -->
		<div id="wrapper_userarea" class="wrapper_centered">
			<div id="userarea">
				<?php if($this->countModules('userarea')) : ?>
				<div class="userarea">
				<jdoc:include type="modules" name="userarea" style="raw" />
				</div>
				<?php endif; ?>
			</div>
		</div>
		<?php endif; ?>
		<div id="wrapper_top" class="wrapper_centered">
 			<a id="logo<?php echo ($logo_as_image) ? '' : '_styled'; ?>" href="./">
						<?php if($logo_as_image) : ?>
						<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/images/style1/logo.png" alt="Logo" />
						<?php endif; ?>
			</a>
			<?php if($this->countModules('banner1')) : ?>
				<div id="banner1">
				<jdoc:include type="modules" name="banner1" style="raw" />
				</div>
			<?php endif; ?>
			
			<?php if($login_button && ($this->countModules('userarea'))) : ?>
			<div id="login_btn"><span><?php echo JText::_('OPEN_UA'); ?></span></div>
			<?php endif; ?>
		</div>
		<!-- menu -->
		<div id="wrapper_menu" class="wrapper_centered">
			<div class="wrapper_centered clearfix">
				<div id="horiz-menu">
					<?php echo $main_navigation;?>
				</div>
	    		<?php if($font_size_buttons) : ?>
	    		<div id="font_minus_btn" title="<?php echo JText::_('DECREASE_FONT_SIZE'); ?>"></div>
	    		<div id="font_reset_btn" title="<?php echo JText::_('RESET_FONT_SIZE'); ?>"></div>
	    		<div id="font_plus_btn" title="<?php echo JText::_('INCREASE_FONT_SIZE'); ?>"></div>
				<?php endif; ?>
	    	</div>
		</div>
		<div id="wrapper_inside" class="wrapper_centered">
		<?php if($this->countModules('breadcrumbs + search')) : ?>
			<div class="wrapper_centered bigger">
				<?php if($this->countModules('breadcrumbs')) : ?>
					<div id="breadcrumbs<?php echo ($this->countModules('search') ? '' : '_100'); ?>">
						<div class="bg_right">
							<div class="pathway_wrapper">
								<?php if($youah) : ?>
      								<span class="breadcrumbs_start"><?php echo JText::_('YOU_ARE_HERE'); ?> : </span>
 								<?php endif; ?>
								<jdoc:include type="modules" name="breadcrumbs" style="raw" />
							</div>
							
							<jdoc:include type="modules" name="highlighter" style="raw" />
						</div>
					</div>
				<?php endif; ?>
				<?php if($this->countModules('search')) : ?>
					<div id="search">
					<jdoc:include type="modules" name="search" style="raw" />
					</div>
				<?php endif; ?>
			</div>
		<?php endif; ?>
		
		<?php if($this->countModules('banner2')) : ?>
			<div class="wrapper_centered clearfix">
				<jdoc:include type="modules" name="banner2" style="raw" />
			</div>	
		<?php endif; ?>	
		
		<?php if($this->countModules('header1 + header2')) : ?>
		<div id="wrapper_header" class="clearfix">
			<div class="wrapper_centered">
				<?php if($this->countModules('header1')) : ?>
					<div id="header1" style="width:<?php echo $header_width_1; ?>px;">
					<jdoc:include type="modules" name="header1" style="xhtml" />
					</div>
				<?php endif; ?>
				<?php if($this->countModules('header2')) : ?>
					<div id="header2" style="width:<?php echo $header_width_2; ?>px;margin-left: <?php echo $header_margin; ?>px;">
					<jdoc:include type="modules" name="header2" style="xhtml" />
					</div>
				<?php endif; ?>
			</div>
		</div>
		<?php endif; ?>
		
		<?php if($this->countModules('banner3')) : ?>
			<div class="wrapper_centered" class="clearfix">
				<jdoc:include type="modules" name="banner3" style="raw" />
			</div>	
		<?php endif; ?>
			
		<?php if($this->countModules('advert1 or advert2 or advert3')) : ?>
	  			<div class="advert_wrap clearfix">
	  			<?php if ($this->countModules('advert1')) : ?>
	     			<div class="<?php echo $advert_position; ?>">
				    <jdoc:include type="modules" name="advert1" style="gavickpro" />
				    </div>
				<?php endif; ?>
				                    
				<?php if ($this->countModules('advert2')) : ?>
				    <div class="<?php echo $advert_position; ?>">
				    <jdoc:include type="modules" name="advert2" style="gavickpro" />
				    </div>
				<?php endif; ?>
				                              
				<?php if ($this->countModules('advert3')) : ?>
					<div class="<?php echo $advert_position; ?>">
				    <jdoc:include type="modules" name="advert3" style="gavickpro" />
				    </div>
				<?php endif; ?>
	   			</div>
      	<?php endif; ?>
			
		<div id="wrapper_content" class="clearfix wrapper_centered"> 
				<?php if ($this->countModules('column') && $column_position == "left") : ?>
	   				<div id="left" style="width: <?php echo $column_width; ?>px;">
	   					<?php
	   						
						    //
							$modGetter = &JModuleHelper::getModules('column');
							//
							$module_number = 1;
							//
							$head_amount = 0;
							//
							$attribs = array();
							//
							$attribs['style'] = 'gavickpro_column';
							$attribs['headerLevel'] = '3';
							$attribs['interface'] = $column_interface;
							//
							$modulesTable = array();
							$orderTable = array();
							//
							$i = 1;
							//
							foreach(array_keys($modGetter) as $m)
							{
								$modulesTable[] = $m;
								if($modGetter[$m]->showtitle) $head_amount++;
							}
							//
							if(($column_interface == 2 || $column_interface == 3) && isset($_COOKIE['gk23_colo']))
							{
								if(count(explode(',', substr($_COOKIE['gk23_colo'], 0, -1))) == $head_amount)
								{
									//
									$cookie_string = explode(',', substr($_COOKIE['gk23_colo'], 0, -1));
									//
									for($i = 0; $i < count($cookie_string); $i++)
									{
										//
										$num = (int) substr($cookie_string[$i], 8);
										$attribs['ordering'] = $num;
										echo JModuleHelper::renderModule($modGetter[$modulesTable[$num-1]], $attribs);
										//
										$modulesTable[$num-1] = false;
									}
									//
									for($i = 0; $i < count($modulesTable); $i++)
									{
										if($modulesTable[$i] !== false)
										{
											//
											$attribs['ordering'] = $i;
											//
											echo JModuleHelper::renderModule($modGetter[$modulesTable[$i]], $attribs);
										}
									}
								}
								else
								{
									//
									for($i = 0; $i < count($modulesTable); $i++)
									{
										//
										$attribs['ordering'] = $i + 1;
										//
										echo JModuleHelper::renderModule($modGetter[$modulesTable[$i]], $attribs);
									}									
								}
							}
							else //
							{
								//
								for($i = 0; $i < count($modulesTable); $i++)
								{
									//
									$attribs['ordering'] = $i + 1;
									//
									echo JModuleHelper::renderModule($modGetter[$modulesTable[$i]], $attribs);
								}
							}
							
	   					?>
	           		</div>
        		<?php endif; ?>
				
				
				<div id="component<?php echo $w_count ?>" <?php if($this->countModules('column')) echo 'style="width: '.(932-$column_width).'px;"'; ?>>
				<?php if ($this->countModules('top')) : ?>
					<div class="module_wrap" class="clearfix">
				         <jdoc:include type="modules" name="top" style="gavickpro" headerLevel="3" />
				    </div>
				<?php endif; ?>
				                
				<?php if($this->countModules('user1 or user2 or user3')) : ?>
					<div class="users_wrap clearfix">
					<?php if ($this->countModules('user1')) : ?>
	    				<div class="<?php echo $user_position_1; ?>">
	        				<jdoc:include type="modules" name="user1" style="gavickpro" />
	        			</div>
	        		<?php endif; ?>
				                    
					<?php if ($this->countModules('user2')) : ?>
	    				<div class="<?php echo $user_position_1; ?>">
	        				<jdoc:include type="modules" name="user2" style="gavickpro" />
	                	</div>
	                <?php endif; ?>
				                              
					<?php if ($this->countModules('user3')) : ?>
	    				<div class="<?php echo $user_position_1; ?>">
	        				<jdoc:include type="modules" name="user3" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
	               	</div>
	        	<?php endif; ?>   
				                
				<?php
					// show mainbody on all subpages but not on frontpage
					if (!$frontpage_i || $this->countModules('mainbody')) :
	 			?>
	 			<div id="wrapper_content_mainbody" class="clearfix">
	    			<div id="mainbody">
	      				<?php if($this->countModules('mainbody')) : ?>
 							<jdoc:include type="modules" name="mainbody" style="gavickpro" />
  						<?php else: ?>
 							<jdoc:include type="component" />
	  					<?php endif; ?>
	         		</div>
	         	</div>
				<?php endif; ?>
	          
				<?php if($this->countModules('user4 or user5 or user6')) : ?>
					<div class="users_wrap clearfix">
					<?php if ($this->countModules('user4')) : ?>
	    				<div class="<?php echo $user_position_2; ?>">
	        				<jdoc:include type="modules" name="user4" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
				                              
					<?php if ($this->countModules('user5')) : ?>
	    				<div class="<?php echo $user_position_2; ?>">
	        				<jdoc:include type="modules" name="user5" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
				                              
					<?php if ($this->countModules('user6')) : ?>
	    				<div class="<?php echo $user_position_2; ?>">
	        				<jdoc:include type="modules" name="user6" style="gavickpro" />
	            		</div>
	              	<?php endif; ?>
	      			</div>
	         	<?php endif; ?>
				                        
				<?php if ($this->countModules('bottom')) : ?>
	   				<div class="module_wrap">
	       				<jdoc:include type="modules" name="bottom" style="gavickpro" headerLevel="3" />
	           		</div>
	           	<?php endif; ?>
	           	</div>
				                  
				<?php if ($this->countModules('column') && $column_position == "right") : ?>
	   				<div id="right" style="width: <?php echo $column_width; ?>px;">
	   					<?php
	   					
							//
							$modGetter = &JModuleHelper::getModules('column');
							//
							$module_number = 1;
							//
							$head_amount = 0;
							//
							$attribs = array();
							//
							$attribs['style'] = 'gavickpro_column';
							$attribs['headerLevel'] = '3';
							$attribs['interface'] = $column_interface;
							//
							$modulesTable = array();
							$orderTable = array();
							//
							$i = 1;
							//
							foreach(array_keys($modGetter) as $m)
							{
								$modulesTable[] = $m;
								if($modGetter[$m]->showtitle) $head_amount++;
							}
							//
							if(($column_interface == 2 || $column_interface == 3) && isset($_COOKIE['gk23_colo']))
							{
								if(count(explode(',', substr($_COOKIE['gk23_colo'], 0, -1))) == $head_amount)
								{
									//
									$cookie_string = explode(',', substr($_COOKIE['gk23_colo'], 0, -1));
									//
									for($i = 0; $i < count($cookie_string); $i++)
									{
										//
										$num = (int) substr($cookie_string[$i], 8);
										$attribs['ordering'] = $num;
										echo JModuleHelper::renderModule($modGetter[$modulesTable[$num-1]], $attribs);
										//
										$modulesTable[$num-1] = false;
									}
									//
									for($i = 0; $i < count($modulesTable); $i++)
									{
										if($modulesTable[$i] !== false)
										{
											//
											$attribs['ordering'] = $i;
											//
											echo JModuleHelper::renderModule($modGetter[$modulesTable[$i]], $attribs);
										}
									}
								}
								else
								{
									//
									for($i = 0; $i < count($modulesTable); $i++)
									{
										//
										$attribs['ordering'] = $i + 1;
										//
										echo JModuleHelper::renderModule($modGetter[$modulesTable[$i]], $attribs);
									}									
								}
							}
							else //
							{
								//
								for($i = 0; $i < count($modulesTable); $i++)
								{
									//
									$attribs['ordering'] = $i + 1;
									//
									echo JModuleHelper::renderModule($modGetter[$modulesTable[$i]], $attribs);
								}
							}
							
	   					?>
	           		</div>
        		<?php endif; ?>
			            
 			</div>
		</div>
		
		<?php if ($this->countModules('user7 or user8 or user9 or user10 or user11')) : ?>
		<div id="wrapper_bottom" class="clearfix wrapper_centered">
			<?php if ($this->countModules('user7')) : ?>
			<div class="<?php echo $user_position_3; ?>">
 				<jdoc:include type="modules" name="user7" style="gavickpro" />
			</div>
			<?php endif; ?>
			<?php if ($this->countModules('user8')) : ?>
			<div class="<?php echo $user_position_3; ?>">
				<jdoc:include type="modules" name="user8" style="gavickpro" />
			</div>
			<?php endif; ?>
 			<?php if ($this->countModules('user9')) : ?>
			<div class="<?php echo $user_position_3; ?>">
				<jdoc:include type="modules" name="user9" style="gavickpro" />
			</div>
			<?php endif; ?>
			<?php if ($this->countModules('user10')) : ?>
			<div class="<?php echo $user_position_3; ?>">
				<jdoc:include type="modules" name="user10" style="gavickpro" />
			</div>
			<?php endif; ?>
			<?php if ($this->countModules('user11')) : ?>
			<div class="<?php echo $user_position_3; ?>">
				<jdoc:include type="modules" name="user11" style="gavickpro" />
			</div>
			<?php endif; ?>
		</div>
		<?php endif; ?>
	</div>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
	<!-- footer -->
	<div class="wrapper_centered clearfix">    
		<div id="wrapper_footer">
		<?php 
			// including footer file
			include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); 
		?>
		</div>
	</div>
	
	<?php 
		// including information alert for IE6
		if($this->params->get("ie6info", 1) == 1): 
	?>
	<!-- IE6 alert -->
	<!--[if IE 6]>
	<div id="ie6">
	<?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
	</div>
	<![endif]-->
	<?php endif; ?>
	<jdoc:include type="modules" name="debug" />
</body>
</html>